# Outputs ## List all outputs associated with a specified live input `client.stream.liveInputs.outputs.list(stringliveInputIdentifier, OutputListParamsparams, RequestOptionsoptions?): SinglePage` **get** `/accounts/{account_id}/stream/live_inputs/{live_input_identifier}/outputs` Retrieves all outputs associated with a specified live input. ### Parameters - `liveInputIdentifier: string` A unique identifier for a live input. - `params: OutputListParams` - `account_id: string` Identifier. ### Returns - `Output` - `enabled?: boolean` When enabled, live video streamed to the associated live input will be sent to the output URL. When disabled, live video will not be sent to the output URL, even when streaming to the associated live input. Use this to control precisely when you start and stop simulcasting to specific destinations like YouTube and Twitch. - `streamKey?: string` The streamKey used to authenticate against an output's target. - `uid?: string` A unique identifier for the output. - `url?: string` The URL an output uses to restream. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const output of client.stream.liveInputs.outputs.list( '66be4bf738797e01e1fca35a7bdecdcd', { account_id: '023e105f4ecef8ad9ca31a8372d0c353' }, )) { console.log(output.uid); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "enabled": true, "streamKey": "uzya-f19y-g2g9-a2ee-51j2", "uid": "baea4d9c515887b80289d5c33cf01145", "url": "rtmp://a.rtmp.youtube.com/live2" } ] } ``` ## Create a new output, connected to a live input `client.stream.liveInputs.outputs.create(stringliveInputIdentifier, OutputCreateParamsparams, RequestOptionsoptions?): Output` **post** `/accounts/{account_id}/stream/live_inputs/{live_input_identifier}/outputs` Creates a new output that can be used to simulcast or restream live video to other RTMP or SRT destinations. Outputs are always linked to a specific live input — one live input can have many outputs. ### Parameters - `liveInputIdentifier: string` A unique identifier for a live input. - `params: OutputCreateParams` - `account_id: string` Path param: Identifier. - `streamKey: string` Body param: The streamKey used to authenticate against an output's target. - `url: string` Body param: The URL an output uses to restream. - `enabled?: boolean` Body param: When enabled, live video streamed to the associated live input will be sent to the output URL. When disabled, live video will not be sent to the output URL, even when streaming to the associated live input. Use this to control precisely when you start and stop simulcasting to specific destinations like YouTube and Twitch. ### Returns - `Output` - `enabled?: boolean` When enabled, live video streamed to the associated live input will be sent to the output URL. When disabled, live video will not be sent to the output URL, even when streaming to the associated live input. Use this to control precisely when you start and stop simulcasting to specific destinations like YouTube and Twitch. - `streamKey?: string` The streamKey used to authenticate against an output's target. - `uid?: string` A unique identifier for the output. - `url?: string` The URL an output uses to restream. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const output = await client.stream.liveInputs.outputs.create('66be4bf738797e01e1fca35a7bdecdcd', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', streamKey: 'uzya-f19y-g2g9-a2ee-51j2', url: 'rtmp://a.rtmp.youtube.com/live2', }); console.log(output.uid); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "enabled": true, "streamKey": "uzya-f19y-g2g9-a2ee-51j2", "uid": "baea4d9c515887b80289d5c33cf01145", "url": "rtmp://a.rtmp.youtube.com/live2" } } ``` ## Update an output `client.stream.liveInputs.outputs.update(stringliveInputIdentifier, stringoutputIdentifier, OutputUpdateParamsparams, RequestOptionsoptions?): Output` **put** `/accounts/{account_id}/stream/live_inputs/{live_input_identifier}/outputs/{output_identifier}` Updates the state of an output. ### Parameters - `liveInputIdentifier: string` A unique identifier for a live input. - `outputIdentifier: string` A unique identifier for the output. - `params: OutputUpdateParams` - `account_id: string` Path param: Identifier. - `enabled: boolean` Body param: When enabled, live video streamed to the associated live input will be sent to the output URL. When disabled, live video will not be sent to the output URL, even when streaming to the associated live input. Use this to control precisely when you start and stop simulcasting to specific destinations like YouTube and Twitch. ### Returns - `Output` - `enabled?: boolean` When enabled, live video streamed to the associated live input will be sent to the output URL. When disabled, live video will not be sent to the output URL, even when streaming to the associated live input. Use this to control precisely when you start and stop simulcasting to specific destinations like YouTube and Twitch. - `streamKey?: string` The streamKey used to authenticate against an output's target. - `uid?: string` A unique identifier for the output. - `url?: string` The URL an output uses to restream. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const output = await client.stream.liveInputs.outputs.update( '66be4bf738797e01e1fca35a7bdecdcd', 'baea4d9c515887b80289d5c33cf01145', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', enabled: true }, ); console.log(output.uid); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "enabled": true, "streamKey": "uzya-f19y-g2g9-a2ee-51j2", "uid": "baea4d9c515887b80289d5c33cf01145", "url": "rtmp://a.rtmp.youtube.com/live2" } } ``` ## Delete an output `client.stream.liveInputs.outputs.delete(stringliveInputIdentifier, stringoutputIdentifier, OutputDeleteParamsparams, RequestOptionsoptions?): void` **delete** `/accounts/{account_id}/stream/live_inputs/{live_input_identifier}/outputs/{output_identifier}` Deletes an output and removes it from the associated live input. ### Parameters - `liveInputIdentifier: string` A unique identifier for a live input. - `outputIdentifier: string` A unique identifier for the output. - `params: OutputDeleteParams` - `account_id: string` Identifier. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); await client.stream.liveInputs.outputs.delete( '66be4bf738797e01e1fca35a7bdecdcd', 'baea4d9c515887b80289d5c33cf01145', { account_id: '023e105f4ecef8ad9ca31a8372d0c353' }, ); ``` #### Response ```json {} ``` ## Domain Types ### Output - `Output` - `enabled?: boolean` When enabled, live video streamed to the associated live input will be sent to the output URL. When disabled, live video will not be sent to the output URL, even when streaming to the associated live input. Use this to control precisely when you start and stop simulcasting to specific destinations like YouTube and Twitch. - `streamKey?: string` The streamKey used to authenticate against an output's target. - `uid?: string` A unique identifier for the output. - `url?: string` The URL an output uses to restream.